Xeonr Developer Docs
UplApiUploads

Request upload

POST
/uplim.api.v1.BucketUploadsService/RequestUpload

Requests a presigned URL for uploading a file. Returns either a direct upload URL or multipart upload parts for large files.

Authorization

OAuth2 upl:uploads:create
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:uploads:create

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?&

Reference to the bucket

filesizeBytes?string

Size of the file in bytes. 0 is accepted for multipart uploads whose size is only known on completion (S3-protocol CreateMultipartUpload). validate:skip older clients generated with an int32 field sign-extend sizes over 2 GiB to negative; no bound the server enforces

Formatint64
mimeType?string

MIME type of the file

Lengthlength <= 1024
extension?string

File extension

Lengthlength <= 1024
multipart?boolean

Indicates if the upload is multipart validate:skip a bool has no bounds

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/RequestUpload" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "uploadId": "string",
  "direct": {
    "uploadUrl": "string",
    "uploadUrlPost": "string",
    "uploadValues": {
      "property1": "string",
      "property2": "string"
    }
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}